/**********************************************************************
 **                                                                  **
 **                            gasdev.cpp                            **
 **                                                                  **
 **                                                                  **
 ** By: Max Likhachev                                                **
 **                                                                  **
 ** Copyright 2003, Georgia Tech Research Corporation                **
 ** Atlanta, Georgia  30332-0415                                     **
 ** ALL RIGHTS RESERVED, See file COPYRIGHT for details.             **
 **********************************************************************/

/* $Id: gasdev.cpp,v 1.1 2003/04/05 23:36:22 kaess Exp $ */


#include <math.h>

float gasdev(long *idum) {
  float ran1(long *idum);
  static int iset=0;
  static float gset;
  float fac,rsq,v1,v2;

  if (*idum < 0)
    iset=0;
  if  (iset == 0) {
    do {
      v1=(float)(2.0*ran1(idum)-1.0);
      v2=(float)(2.0*ran1(idum)-1.0);
      rsq=v1*v1+v2*v2;
    } while (rsq >= 1.0 || rsq == 0.0);
    fac=(float)sqrt(-2.0*log(rsq)/rsq);
    gset=v1*fac;
    iset=1;
    return v2*fac;
  } else {
    iset=0;
    return gset;
  }
}


/**********************************************************************
 * $Log: gasdev.cpp,v $
 * Revision 1.1  2003/04/05 23:36:22  kaess
 * Initial revision
 *
 **********************************************************************/
