/**********************************************************************
 **                                                                  **
 **                          keyboard_reader.h                       **
 **                                                                  **
 **  Written by:  Yoichiro Endo                                      **
 **                                                                  **
 **  Copyright 2003 Georgia Tech Research Corporation                **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/
#ifndef KEYBOARD_READER_H
#define KEYBOARD_READER_H

/* $Id: keyboard_reader.h,v 1.2 2003/04/06 15:30:45 endo Exp $ */

#include <pthread.h>
#include <string>

using std::string;

class KeyboardReader {

protected:
    KeyboardReader **self_;
    pthread_t daemonThread_;
    bool daemonThreadIsUp_;

    static pthread_mutex_t readerMutex_;

    static const int DAEMON_USLEEPTIME_;
    static const string KEYBIND_TITLE_;

    void daemonMainLoop_(void);
    void catchAndProcessInput_(void);

    static void *startDaemonThread_(void *keyboardReaderInstance);

public:
    KeyboardReader(void);
    KeyboardReader(KeyboardReader **self);
    ~KeyboardReader(void);
    void startDaemon(void);
    void displayDefaultKeybind(void);
};

#endif
/**********************************************************************
 * $Log: keyboard_reader.h,v $
 * Revision 1.2  2003/04/06 15:30:45  endo
 * gcc 3.1.1
 *
 * Revision 1.1  2003/04/06 08:43:44  endo
 * Initial revision
 *
 *
 **********************************************************************/
