/**********************************************************************
 **                                                                  **
 **                       mission_expert_types.h                     **
 **                                                                  **
 **  Written by:  Yoichiro Endo                                      **
 **                                                                  **
 **  Copyright 2002 - 2003 Georgia Tech Research Corporation         **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: mission_expert_types.h,v 1.2 2003/04/06 15:21:55 endo Exp $ */

#ifndef MISSION_EXPERT_TYPES_H
#define MISSION_EXPERT_TYPES_H

#include <string>
#include <vector>

using std::string;
using std::vector;

typedef struct MExpPoint2D_t
{
    double x, y; 
};

typedef enum MExpFeatureOptionType_t
{
    MEXP_FEATURE_OPTION_TOGGLE,
    MEXP_FEATURE_OPTION_SLIDER1,
    MEXP_FEATURE_OPTION_SLIDER10,
};

typedef struct MExpFeatureOption_t
{
    string value;
};

typedef enum MExpFeatureType_t
{
    MEXP_FEATURE_GLOBAL,
    MEXP_FEATURE_LOCAL
};

typedef struct MExpFeature_t
{
    int id;
    int type;
    bool nonIndex;
    double weight;
    string name;
    int optionType;
    vector<MExpFeatureOption_t> options;
    float selectedOption;
};

typedef struct MExpMissionTask_t
{
    int number;
    int id;
    string name;
    string buttonName;
    vector<MExpFeature_t> localFeatures;
    MExpPoint2D_t position;
};

typedef enum MExpRunMode_t
{
    MEXP_RUNMODE_NEW,
    MEXP_RUNMODE_VIEW
};

typedef struct MExpRetrievedMission_t
{
    int rating;
    vector<int> dataIndexList;
    string acdlSolution;
};

typedef struct MExpRetrievedMissionSummary_t
{
    vector<int> ratings; 
    vector<string> fsaSummaries;
};

#endif

/**********************************************************************
 * $Log: mission_expert_types.h,v $
 * Revision 1.2  2003/04/06 15:21:55  endo
 * gcc 3.1.1
 *
 * Revision 1.1  2003/04/06 08:51:21  endo
 * Initial revision
 *
 **********************************************************************/
