#ifndef _CONTROLINTERFACES_H
#define _CONTROLINTERFACES_H

#include <pthread.h>
#include "robot.h"
#include "gps.h"

#ifndef NO_MOBILITY	
#include "gyro_dmu-vgx.h"
#include "compass_kvh-c100.h"
#endif

extern bool g_bWatchDogEnable;

void robotConnect( Robot*& robot );
void connectToGps( Gps*& gps, double base_lat, double base_lon, double base_x, double base_y, 
                 double mperlat, double mperlon );
void controlGps( Gps* gps );

#ifndef NO_MOBILITY	
void connectToGyroDMUVGX( GyroDMUVGX*& pclGyroDMUVGX );
void controlGyroDMUVGX( GyroDMUVGX* pclGyroDMUVGX );

void connectToCompassKVHC100( CompassKVHC100*& pclCompassKVHC100 );
void controlCompassKVHC100( CompassKVHC100* pclCompassKVHC100 );
#endif

#endif // ndef _CONTROLINTERFACES_H
