/**********************************************************************
 **                                                                  **
 **                              apm_module.h                        **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  APM module for HServer                                          **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: apm_module.h,v 1.2 2000/09/19 03:07:11 endo Exp $ */

#ifndef APM_H_
#define APM_H_

#include <pthread.h>
#include "apm.h"
#include "module.h"

class Apm : public Module
{
  protected:
    bool useApm,update_running;
    char *apmString;
    int apm_exists();
    int apm_read(apm_info *i);
    const char *apm_time_nosec(time_t t);
    void statusbarUpdate();
    void disconnect();
    void update_apm();
    void calculate();
    pthread_t update;
  public:
    void update_thread();
    void control();
    Apm(Apm **a);
    ~Apm();
};

extern Apm *apm;

#endif


/**********************************************************************
# $Log: apm_module.h,v $
# Revision 1.2  2000/09/19 03:07:11  endo
# RCS log added.
#
#
#**********************************************************************/
