/**********************************************************************
 **                                                                  **
 **                              fred.h                              **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  Robot emulation for HServer                                     **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: fred.h,v 1.5 2001/05/29 22:35:46 blee Exp $ */

#ifndef FRED_H_
#define FRED_H_

#include <pthread.h>
#include "robot.h"
#include "sensors.h"
#include "robot_config.h"

class Fred : public Robot
{
private:
    RobotPartXyt* partXyt;
    pthread_t mover;
    float avelocity;
    float velocity;
    void addSensors();
    void statusbarUpdate();

public:
    void mover_thread();
    void initXYT();
    void setXYT( float xi, float yi, float theta );
    void adjustXYT( float xinc, float yinc, float tinc );
    void control();
    void steer( float avel );  
    void drive( float vel );   
    void steerToward( int angle );
    void stop();
    void reset();
    Fred( Robot** a );
    ~Fred();
};    

#endif

/**********************************************************************
# $Log: fred.h,v $
# Revision 1.5  2001/05/29 22:35:46  blee
# Made changes to incorporate gps data w/ other position info.
#
# Revision 1.4  2000/09/19 03:11:10  endo
# RCS log added.
#
#
#**********************************************************************/
