#ifndef _HSRCFILE_H
#define _HSRCFILE_H

#include <string>
#include "HServerConfig.h"
#include "RCFileReader.h"
#include "LabelToIdConversions.h"

class ClHSRCFile
{
public:
    ClHSRCFile();
    ClHSRCFile( string strFileName );

    void SetFileName( string strFileName );

    bool CreateConfiguration( ClHServerConfig& clConfig );
    bool CreateConfiguration( const string& strFileName, ClHServerConfig& clConfig );

protected:
    string m_strFileName;
    int m_iCurrentSection;

    int LabelToId( const SuLabelIdPair* asuLabelIdPairs, const string& strLabel );
    bool ProcessLine( const SuRCFileLine& suLine, ClHServerConfig& clConfig, int iLineNum );
    bool ProcessStartSectionLine( const SuRCFileLine& suLine, ClHServerConfig& clConfig, int iLineNum );
    bool ProcessValueLine( const SuRCFileLine& suLine, ClHServerConfig& clConfig, int iLineNum );
};

inline void ClHSRCFile::SetFileName( string strFileName )
{
    m_strFileName = strFileName;
}

inline bool ClHSRCFile::CreateConfiguration( const string& strFileName, ClHServerConfig& clConfig )
{
    SetFileName( strFileName );
    return CreateConfiguration( clConfig );
}

#endif // ifndef _HSRCFILE_H
