/**********************************************************************
 **                                                                  **
 **                       LabelToIdConversions.h                     **
 **                                                                  **
 **                                                                  **
 **  Written by:  Brian Lee                                          **
 **                                                                  **
 **  Copyright 2002, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: LabelToIdConversions.h,v 1.2 2002/02/18 13:52:47 endo Exp $ */

#ifndef _LABELTOIDCONVERSIONS_H
#define _LABELTOIDCONVERSIONS_H

#include "HServerConfig.h"

struct SuLabelIdPair
{
    char* szLabel;
    int iId;
};

const SuLabelIdPair asuCAMERA_LABEL_CONVERSIONS[] = 
{
    { "port_string",    ClHServerConfig::EnCameraValueType_PORT_STRING },
    { NULL,             0 }
};

const SuLabelIdPair asuLASER_LABEL_CONVERSIONS[] = 
{
    { "name",           ClHServerConfig::EnLaserValueType_NAME },
    { "port_string",    ClHServerConfig::EnLaserValueType_PORT_STRING },
    { "angle_offset",   ClHServerConfig::EnLaserValueType_ANGLE_OFFSET },
    { "x_offset",       ClHServerConfig::EnLaserValueType_X_OFFSET },
    { "y_offset",       ClHServerConfig::EnLaserValueType_Y_OFFSET },
    { "listen_ipt",     ClHServerConfig::EnLaserValueType_LISTEN_IPT },
    { "send_ipt",       ClHServerConfig::EnLaserValueType_SEND_IPT },
    { "stream_host",    ClHServerConfig::EnLaserValueType_STREAM_HOST },
    { NULL,             0 }
};

const SuLabelIdPair asuCOGNACHROME_LABEL_CONVERSIONS[] = 
{
    { "port_string",    ClHServerConfig::EnCognachromeValueType_PORT_STRING },
    { NULL,             0 }
};

const SuLabelIdPair asuNOMAD_LABEL_CONVERSIONS[] = 
{
    { "type",           ClHServerConfig::EnNomadValueType_TYPE },
    { "port_string",    ClHServerConfig::EnNomadValueType_PORT_STRING },
    { "host_name",      ClHServerConfig::EnNomadValueType_HOST_NAME },
    { NULL,             0 }
};

const SuLabelIdPair asuPIONEER_LABEL_CONVERSIONS[] = 
{
    { "port_string",    ClHServerConfig::EnPioneerValueType_PORT_STRING },
    { NULL,             0 }
};

const SuLabelIdPair asuAMIGOBOT_LABEL_CONVERSIONS[] = 
{
    { "port_string",    ClHServerConfig::EnAmigoBotValueType_PORT_STRING },
    { NULL,             0 }
};

const SuLabelIdPair asuFRAMEGRABBER_LABEL_CONVERSIONS[] = 
{
    { "port_string",    ClHServerConfig::EnFrameGrabberValueType_PORT_STRING },
    { NULL,             0 }
};

const SuLabelIdPair asuGPS_LABEL_CONVERSIONS[] = 
{
    { "use_base",       ClHServerConfig::EnGpsValueType_USE_BASE },
    { "port_string",    ClHServerConfig::EnGpsValueType_PORT_STRING },
    { "base_lat",       ClHServerConfig::EnGpsValueType_BASE_LAT },
    { "base_long",      ClHServerConfig::EnGpsValueType_BASE_LONG },
    { "x_diff",         ClHServerConfig::EnGpsValueType_X_DIFF },
    { "y_diff",         ClHServerConfig::EnGpsValueType_Y_DIFF },
    { "m_per_lat",      ClHServerConfig::EnGpsValueType_M_PER_LAT },
    { "m_per_long",     ClHServerConfig::EnGpsValueType_M_PER_LONG },
    { NULL,             0 }
};

const SuLabelIdPair asuSECTION_LABEL_CONVERSIONS[] = 
{
    { "camera",         ClHServerConfig::EnHServerConfigSectionType_CAMERA },
    { "laser",          ClHServerConfig::EnHServerConfigSectionType_LASER },
    { "cognachrome",    ClHServerConfig::EnHServerConfigSectionType_COGNACHROME },
    { "nomad",          ClHServerConfig::EnHServerConfigSectionType_NOMAD },
    { "pioneer",        ClHServerConfig::EnHServerConfigSectionType_PIONEER },
    { "amigobot",       ClHServerConfig::EnHServerConfigSectionType_AMIGOBOT },
    { "framegrabber",   ClHServerConfig::EnHServerConfigSectionType_FRAMEGRABBER },
    { "gps",            ClHServerConfig::EnHServerConfigSectionType_GPS },
    { NULL,             0 }
};

static const SuLabelIdPair* aasuVALUE_TYPE_CONVERSIONS[] = 
{
    asuCAMERA_LABEL_CONVERSIONS,
    asuLASER_LABEL_CONVERSIONS,
    asuCOGNACHROME_LABEL_CONVERSIONS,
    asuNOMAD_LABEL_CONVERSIONS,
    asuPIONEER_LABEL_CONVERSIONS,
    asuAMIGOBOT_LABEL_CONVERSIONS,
    asuFRAMEGRABBER_LABEL_CONVERSIONS,
    asuGPS_LABEL_CONVERSIONS,
};

#endif // ifndef _LABELTOIDCONVERSIONS_H

/**********************************************************************
# $Log: LabelToIdConversions.h,v $
# Revision 1.2  2002/02/18 13:52:47  endo
# AmigoBot added.
#
#
#**********************************************************************/
