/**********************************************************************
 **                                                                  **
 **                              ipt_names.c                         **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  HServer IPT message names                                       **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: ipt_names.c,v 1.3 2003/04/02 22:30:38 zkira Exp $ */

#include "hserver_ipt.h"

char *MSG_ModuleId = "ModuleId";
char *MSG_InitConnection = "InitConnection";
char *TYP_SensorReadingT = "SensorReadingT" ;
char *TYP_RobotPartT = "RobotPartT";
char *MSG_RobotSetupInfo = "RobotSetupInfo";
char *MSG_SensorUpdate = "SensorUpdate";
char *MSG_BatteryUpdate = "BatteryUpdate"; // trw zk
char *MSG_SimpleCommand = "SimpleCommand";
char *MSG_DriveCommand = "DriveCommand";
char *MSG_SteerCommand = "SteerCommand";
char *MSG_SteerTowardDriveCommand = "SteerTowardDriveCommand";
char *MSG_SetXYT = "SetXYT";
char *MSG_MoveCamera = "MoveCamera";
char *MSG_SetCameraTrackerMode = "SetCameraTrackerMode";
char *MSG_FrameUpload = "FrameUpload";
char *MSG_VideoFrame = "VideoFrame";
char *MSG_GpsRTCM = "GpsRTCM";
char *MSG_LaserScan = "LaserScan";

IPFormatSpec iptHclientFormatArray[] = {
    { TYP_SensorReadingT, FRM_SensorReadingT },
    { TYP_RobotPartT, FRM_RobotPartT},
    { NULL, NULL}
};

IPMessageSpec iptHclientMessageArray[] = {
    { MSG_InitConnection,            FRM_InitConnection },
    { MSG_RobotSetupInfo,            FRM_RobotSetupInfo },
    { MSG_SensorUpdate,              FRM_SensorUpdate },
    { MSG_BatteryUpdate,             FRM_BatteryUpdate },
    { MSG_SimpleCommand,             FRM_SimpleCommand },
    { MSG_DriveCommand,              FRM_DriveCommand },
    { MSG_SteerCommand,              FRM_SteerCommand },
    { MSG_SteerTowardDriveCommand,   FRM_SteerTowardDriveCommand },
    { MSG_SetXYT,                    FRM_SetXYT },
    { MSG_MoveCamera,                FRM_MoveCamera},
    { MSG_SetCameraTrackerMode,      FRM_SetCameraTrackerMode},
    { MSG_FrameUpload,               FRM_FrameUpload},
    { MSG_VideoFrame,                FRM_VideoFrame},
    { NULL, NULL}
};

IPMessageSpec iptGpsMessageArray[] = {
    { MSG_GpsRTCM, FRM_GpsRTCM },
    { NULL, NULL}
};

IPMessageSpec iptHandlerMessageArray[] = {
    { MSG_ModuleId, FRM_ModuleId },
    { NULL, NULL}
};

IPMessageSpec iptLaserMessageArray[] = {
    { MSG_LaserScan, FRM_LaserScan },
    { NULL, NULL}
};

/**********************************************************************
# $Log: ipt_names.c,v $
# Revision 1.3  2003/04/02 22:30:38  zkira
# Added battery update messages
#
# Revision 1.2  2000/09/19 03:14:21  endo
# RCS log added.
#
#
#**********************************************************************/
