/**********************************************************************
 **                                                                  **
 **                              module.c                            **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  Generic HServer module                                          **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: module.c,v 1.4 2002/01/16 22:13:33 ernest Exp $ */

#include <string.h>
#include <stdlib.h>
#include "module.h"
#include "statusbar.h"
#include "report_level.h"
#include "hserver.h"

Module::Module(Module **a,char *name) : self(a){
    if ( a != NULL )
    {
        *a = this;
    }
    this->name = name;
    statusLineLen = 200;
    statusStr = new char[statusLineLen];
    //statusStr[0] = 0; Ernest
    statusStr[0] = '\0'; // Ernest
    statusLine = statusbar->add(statusStr);
    reportLevelLine = reportlevel->add(this->name,&report_level);
    rstr = new char[200];
    report_level = HS_REP_LEV_NORMAL;
}

Module::Module(){
    self = NULL;
    name = NULL;
    statusLineLen = 200;
    statusStr = new char[statusLineLen];
    //statusStr[0] = 0; Ernest
    statusStr[0] = '\0'; // Ernest
    statusLine = statusbar->add(statusStr);
    reportLevelLine = reportlevel->add(name,&report_level);
    rstr = new char[200];
    report_level = HS_REP_LEV_NORMAL;
}

Module::~Module(){
    if (self != NULL) *self = NULL;
    statusbar->remove(statusLine);
    reportlevel->remove(reportLevelLine);
    delete [] statusStr;
    delete [] rstr;
}

void Module::setReportLevel(int level){
    report_level = level;
}

/**********************************************************************
# $Log: module.c,v $
# Revision 1.4  2002/01/16 22:13:33  ernest
# Fixed null termination of statusStr.
#
# Revision 1.3  2000/12/12 23:20:41  blee
# Changed #defines for the user interface to enumerated types.
#
# Revision 1.2  2000/09/19 03:45:31  endo
# RCS log added.
#
#
#**********************************************************************/
