/**********************************************************************
 **                                                                  **
 **                              module.h                            **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  Generic HServer module                                          **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: module.h,v 1.2 2000/09/19 03:45:31 endo Exp $ */

#ifndef MODULE_H
#define MODULE_H

#include "statusbar.h"

#define MODULE_ROBOT_FRED 1
#define MODULE_ROBOT_NOMAD 2

class Module 
{
  protected:
    int statusLine;
    int statusLineLen;
    char *statusStr;
    char *rstr;
    int report_level;
    int reportLevelLine;
    int module_type;
    Module **self;
    char *name;
  public:
    int type() {return module_type;};
    int reportLevel() {return report_level;};
    void setReportLevel(int level);
    Module(Module **self,char *name);
    Module();
    virtual ~Module();
};

#endif

/**********************************************************************
# $Log: module.h,v $
# Revision 1.2  2000/09/19 03:45:31  endo
# RCS log added.
#
#
#**********************************************************************/
