/**********************************************************************
 **                                                                  **
 **                            statusbar.h                           **
 **                                                                  **
 **                                                                  **
 **  Written by:  William Halliburton                                **
 **                                                                  **
 **  Status bar updates for HServer                                  **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: statusbar.h,v 1.2 2000/09/19 03:49:46 endo Exp $ */

#ifndef STATUS_BAR_H_
#define STATUS_BAR_H_

#include <panel.h>


#define STATUSBAR_MAX_LINES 25

class Statusbar 
{
  private:
    int size;
    char index[STATUSBAR_MAX_LINES];
    int num_lines;
    char *lines[STATUSBAR_MAX_LINES];
    WINDOW *window;
    PANEL  *panel;
    char *empty_line;
  public:
    void resize();
    void draw(void);
    void update(int line_idx);
    int add(char *line);
    void remove(int line_idx);
    Statusbar(int size);
};

extern Statusbar *statusbar;

#endif

/**********************************************************************
# $Log: statusbar.h,v $
# Revision 1.2  2000/09/19 03:49:46  endo
# RCS log added.
#
#
#**********************************************************************/
