/**********************************************************************
 **                                                                  **
 **                     cbr_behavioral_select.h                      **
 **                                                                  **
 ** Contains all the includes for the CBR Utility functions          **
 ** used in the Mlab and CBR                                         **
 **                                                                  **
 ** By: Max Likhachev, Michael Kaess                                 **
 **                                                                  **
 ** Copyright 2003, Georgia Tech Research Corporation                **
 ** Atlanta, Georgia  30332-0415                                     **
 ** ALL RIGHTS RESERVED, See file COPYRIGHT for details.             **
 **********************************************************************/

/* $Id: cbr_behavioral_select.h,v 1.1 2003/04/05 23:51:36 kaess Exp endo $ */

#include <vector>

// ENDO
//using namespace std;
using std::vector;

/**Defines**/

#define FSALIST_KEY   "FSA_LIST"


struct structRobotPos;
struct structObstaclePos;

/*Function Prototypes*/
int GetCurrentStateandTask(char sState[], char sTask[]);
bool PrintReadings();
bool GetSensorReadings(structRobotPos& RobotPos,
                       vector<structObstaclePos>& ObstaclesPosVector, int &nNumofObstacles);

void UpdateMlab(char* strUpdateString);


/**********************************************************************
 * $Log: cbr_behavioral_select.h,v $
 * Revision 1.1  2003/04/05 23:51:36  kaess
 * Initial revision
 *
 **********************************************************************/
