/**********************************************************************
 **                                                                  **
 **                         TypeInfo.hpp                             **
 **                                                                  **
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1995, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **********************************************************************/

/* $Id: TypeInfo.hpp,v 1.2 1996/04/06 23:54:20 doug Rel $ */


#ifndef TypeInfo_HPP
#define TypeInfo_HPP

#include <Xm/Xm.h>

// Define the TypeInfo class
class TypeInfo 
{
public:
   char *TypeName;

   TypeInfo(const char *name)
   {
      TypeName = strdup(name);
   }

   virtual ~TypeInfo() 
   { 
      free(TypeName);
      TypeName = NULL;
   }

   bool    IsThisOurName(const char *name) 
		{return strcmp(TypeName,name) == 0;};
	
   virtual Widget CreateDisplayWidget(Widget parent, struct Symbol *parm) = 0;
   virtual void UpdateFromDisplayWidget(Widget w, char **value) = 0;
   virtual char *PrintValue(struct Symbol *parm, const char *separator) = 0;
};

#endif


///////////////////////////////////////////////////////////////////////
// $Log: TypeInfo.hpp,v $
// Revision 1.2  1996/04/06  23:54:20  doug
// *** empty log message ***
//
// Revision 1.2  1996/04/06  23:54:20  doug
// *** empty log message ***
//
// Revision 1.1  1996/04/06  20:34:13  doug
// Initial revision
//
///////////////////////////////////////////////////////////////////////
