/**********************************************************************
 **                                                                  **
 **                         3d_sphigs_display.h                      **
 **                                                                  **
 **                                                                  **
 **  Written by:  Zhong Chen                                         **
 **                                                                  **
 **  Copyright 1995, 1996, 1997 Georgia Tech Research Corporation    **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

extern "C" {
#include "sphigs.h" 
}
#include "gt_simulation.h"
void set_position(float robot_x, float robot_y, float robot_theta);
				   
void overlay_copy(float robot_x, float robot_y, float robot_theta,
	     float j1_theta, float j2_theta, float j3_theta,
	     float j4_theta, float j5_theta);
				   
void            exit_display(void);
void            init_display(int for_overlay,int debug,int solid,int color);
void            set_goal(float x, float y, float z);
void            move_goal(float x, float y, float z);
int             set_obstacle(float x_scale,float y_scale,float z_scale,
	                  float x, float y, float z);
void move_obstacle(int num,float x_scale,float y_scale,float z_scale,
	                  float x, float y, float z);
void add_regions_to_display(void);
void add_via_points_to_display(int draw_path);
void user_display(void);

vertex_index * make_facets ();
point * convert_points_2d_to_3d();
void draw_room();
void add_room_structure();
vertex_index * make_facets ();
point * convert_points_2d_to_3d();
void  convert_points_to_feet();

void init_display2(int,int ,int ,int );

void make_outline_of_room (char *name, gt_Point_list *pt);


void add_3d_obstacle_sphigs(double x, double y, double radius);
void add_3d_object_sphigs(double x, double y, double radius, char *color);
void remove_3d_object_sphigs(double x, double y);
void define_object(int index, char *color);

void add_3d_passage_point_sphigs(char *name, float x, float y, float diameter);

void
moveto(float robot_x, float robot_y, float robot_theta, int color, int is_up);

void regenerate_screen();
void restart_display();
