/**********************************************************************
 **                                                                  **
 **                            gt_3d_display.h                       **
 **                                                                  **
 **  Written by:  Jonathan M. Cameron                                **
 **                                                                  **
 **  Copyright 1995, 1996, 1997 Georgia Tech Research Corporation    **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: gt_3d_display.h,v 1.4 1997/02/12 05:41:58 zchen Exp $ */

#ifndef GT_3D_DISPLAY_H
#define GT_3D_DISPLAY_H

void initialize_3d();
void close_3d();
void restart_3d();
void add_3d_boundary(char *name, gt_Point_list *pt);
void render_3d();
void add_3d_passage_point(char *name, float x, float y, float diameter);
void add_3d_obstacle(double x, double y, double radius);
void add_3d_object(double x, double y, double radius, char *color);
void move_3d_robot(double x, double y, double heading, int color, int is_up);
void remove_3d_object(double x, double y);

#endif  /* CONSOLE_H */

/**********************************************************************
 * $Log: gt_3d_display.h,v $
 * Revision 1.4  1997/02/12  05:41:58  zchen
 * *** empty log message ***
 *
 * Revision 1.3  1997/01/15  21:31:47  zchen
 * add real 3d stuff
 *
 * Revision 1.2  1995/10/23  18:21:57  doug
 * Extend object stuff to support obstacles and also add 3d code
 *
 * Revision 1.1  1995/10/23  16:42:19  doug
 * Initial revision
 *
 **********************************************************************/
