/**********************************************************************
 **                                                                  **
 **                               command_buffer.h                          **
 **                                                                  **
 **                                                                  **
 **                                                                  **
 **                                                                  **
 **  Written by:                                                     **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **********************************************************************/

/* $Id: command_buffer.h,v 1.1 2000/03/22 04:39:48 saho Exp $ */

/*--------------------------------------------------------------------------

		COMMAND_BUFFER.H

		Sets up for command to robot
	 command buffer - assumes clipstruct.h already included

-------------------------------------------------------------------------*/


char            command_filename[50] = "command.dat";
struct ascid    command_gsddesc;

struct
{
   char            message[80];	/* message to robot */
   char            response[350];	/* response from robot */

   /* flags for interprocess coordination */
   int             message_read;
   int             message_deposited;
   int             response_deposited;
   int             response_read;

   int             read_ultrasonics;	/* Boolean */
   int             read_encoders;
}               command_buffer;



///////////////////////////////////////////////////////////////////////
// $Log: command_buffer.h,v $
// Revision 1.1  2000/03/22 04:39:48  saho
// Initial revision
//
///////////////////////////////////////////////////////////////////////

