/**********************************************************************
 **                                                                  **
 **                               map_bldr.h                          **
 **                                                                  **
 **                                                                  **
 **                                                                  **
 **                                                                  **
 **  Written by:                                                     **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **********************************************************************/

/* $Id: map_bldr.h,v 1.2 2003/04/06 10:16:11 endo Exp $ */

#ifndef MAP_BUILDER_H
#define MAP_BUILDER_H

/***********************************************************/
/*                map_builder.h                            */
/***********************************************************/

void load_map(char *filename,int display,double robot_radius, double robot_safety_margin);
void load_obstacle(int num,Point vertices[],double grow_length);
void map_builder(int display,int convex_select_mode,int concave_angle_mode);

struct stack_element *malloc_stack_element(void);
struct vertex_list_element * malloc_vertex(void);
struct obstacle_list_element *malloc_obstacle_list_element(void);
void free_vertex(struct vertex_list_element * address);
#endif



///////////////////////////////////////////////////////////////////////
// $Log: map_bldr.h,v $
// Revision 1.2  2003/04/06 10:16:11  endo
// Checked in for Robert R. Burridge. Various bugs fixed.
//
// Revision 1.1  2000/03/22 04:40:04  saho
// Initial revision
//
///////////////////////////////////////////////////////////////////////

