/**********************************************************************
 **                                                                  **
 **                      sound_joystick.h                            **
 **                                                                  **
 **  Written by:  Alexander Stoytchev                                **
 **                                                                  **
 **  Functions similar to telop to implement sound source simulation **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: sound_joystick.h,v 1.2 2002/07/18 17:05:08 endo Exp $ */

#ifndef SOUND_JOYSTICK_H
#define SOUND_JOYSTICK_H

#include <X11/Intrinsic.h>

extern double  TELOP_GAIN_MAX;

void sound_redisplay(Widget w, XtPointer UxClientData, XtPointer UxCallbackArg);
void sound_input(Widget w, XtPointer UxClientData, XtPointer UxCallbackArg);
void sound_movement(Widget w, caddr_t client_data, XEvent call_data);

#endif




/**********************************************************************
 * $Log: sound_joystick.h,v $
 * Revision 1.2  2002/07/18 17:05:08  endo
 * libtelop.a now compiles with g++.
 *
 * Revision 1.1  2000/02/29 21:35:38  saho
 * Initial revision
 *
 *
 **********************************************************************/
