/**********************************************************************
 **                                                                  **
 **                      sound_simulation.c                          **
 **                                                                  **
 **  Written by:  Alexander Stoytchev                                **
 **                                                                  **
 **  Copyright 2000, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: sound_simulation.c,v 1.2 2002/07/18 17:05:08 endo Exp $ */

#include <stdio.h>
#include <malloc.h>

#include "UxXt.h"
#include "gt_com.h"
#include "shared.h"
#include "sound_simulation.h"
#include "sound_simulation_window.h"

XtAppContext gSoundSimulationAppContext;  
Widget gSoundSimulationTopLevel;
Display *gSoundSimulationDisplay = NULL;
int gSoundSimulationScreen;

int  sound_up = 0;

Widget sound_simulation_interface;

void  gt_create_sound_simulation_interface(Widget top_level, XtAppContext app)
{

    gSoundSimulationTopLevel = top_level;
    gSoundSimulationAppContext = app;  
    gSoundSimulationDisplay = XtDisplay(gSoundSimulationTopLevel);
    gSoundSimulationScreen = XDefaultScreen(gSoundSimulationDisplay);

    sound_simulation_interface = create_sound_simulation_window(NULL);
}



void gt_popup_sound_simulation_interface(void)
{

    //Pop up the interface
    XtPopup(sound_simulation_interface, XtGrabNone);
    sound_up = 1;
}




void gt_end_sound_simulation(int  window)
{
    if(window == 1) sound_up=0;
}

/**********************************************************************
 * $Log: sound_simulation.c,v $
 * Revision 1.2  2002/07/18 17:05:08  endo
 * libtelop.a now compiles with g++.
 *
 * Revision 1.1  2000/02/29 21:28:44  saho
 * Initial revision
 *
 *
 **********************************************************************/

