/*--------------------------------------------------------------------------

	telop_joystick.h

	Functions to implement the joystick.

	Author: Khaled S. Ali

	Copyright 1995, Georgia Tech Research Corporation
	Atlanta, Georgia  30332-0415
	ALL RIGHTS RESERVED, See file COPYRIGHT for details.

--------------------------------------------------------------------------*/

/* $Id: telop_joystick.h,v 1.3 2003/04/02 21:24:02 zkira Exp $ */


#ifndef TELOP_JOYSTICK_H
#define TELOP_JOYSTICK_H

#include <X11/Intrinsic.h>

extern double  TELOP_GAIN_MAX;

void joy_redisplay(Widget w, XtPointer UxClientData, XtPointer UxCallbackArg);
void joy_input(Widget w, XtPointer UxClientData, XtPointer UxCallbackArg);
void joy_stop(void);
void joy_movement(Widget w, caddr_t client_data, XEvent call_data);

void enable_joystick();  // zk trw
void disable_joystick(); // zk trw

void enable_telop();  // zk trw
void disable_telop(); 

void arm_deadman();
void disarm_deadman();

#endif


/**********************************************************************
 * $Log: telop_joystick.h,v $
 * Revision 1.3  2003/04/02 21:24:02  zkira
 * Added telop enable/disable and deadman enable/disable
 *
 * Revision 1.2  2002/07/18 17:05:08  endo
 * libtelop.a now compiles with g++.
 *
 * Revision 1.1  2000/02/29 23:56:03  saho
 * Initial revision
 *
 * Revision 1.2  1995/06/28 19:26:18  jmc
 * Added RCS id and log strings.
 **********************************************************************/
