/**********************************************************************
 **                                                                  **
 **                    file_date.cc                                  **  
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1995, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **                                                                  **
 **********************************************************************/

/* $Id: file_date.cc,v 1.1 1996/02/07 17:51:08 doug Rel $ */

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include "utilities.h"


/*-----------------------------------------------------------------------*/
// Return the date the file was last modified
// or -1 if not found

time_t
file_date(const char *name)
{
   struct stat status;
   if( stat(name, &status) )
   {
      // Didn't find it
      return (time_t)-1;
   }

   // Return modification time
   return status.st_mtime;
}


/**********************************************************************
 * $Log: file_date.cc,v $
// Revision 1.1  1996/02/07  17:51:08  doug
// Initial revision
//
 **********************************************************************/
