/**********************************************************************
 **                                                                  **
 **                           strip_crs.cc                           **
 **                                                                  **
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1995, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **********************************************************************/

/* $Id: strip_crs.cc,v 1.1 1996/03/12 17:45:34 doug Rel $ */

#include "utilities.h"

//******************************************************************

// Returns the input string with the carriage returns converted to blanks.
// IT MODIFIES THE INPUT STRING

char *
strip_crs(char *a)
{
   if (a == NULL)
      return NULL;

   char *p = a;
   while( *p )
   {
      if( *p == '\n' )
	 *p = ' ';
      p++;
   }

   return a;
}


///////////////////////////////////////////////////////////////////////
// $Log: strip_crs.cc,v $
// Revision 1.1  1996/03/12  17:45:34  doug
// Initial revision
//
///////////////////////////////////////////////////////////////////////
