/**********************************************************************
 **                                                                  **
 **                             write_cdl.h                          **
 **                                                                  **
 **                                                                  **
 **  Written by:  Douglas C. MacKenzie                               **
 **                                                                  **
 **  Copyright 1995, Georgia Tech Research Corporation               **
 **  Atlanta, Georgia  30332-0415                                    **
 **  ALL RIGHTS RESERVED, See file COPYRIGHT for details.            **
 **********************************************************************/

/* $Id: write_cdl.h,v 1.11 2003/04/06 09:10:03 endo Exp $ */

#ifndef CDL_CODEGEN_H
#define CDL_CODEGEN_H

#include <string>

bool 
save_workspace(Symbol * agent, const char *filename, bool debug, bool backup_files);

bool 
write_library(SymbolList * agent, const char *filename, bool debug, 
	bool backup_files, const char *source_file);

bool     
prune_list(SymbolList *symlist, Symbol * agent, RECORD_CLASS desired_class, 
	const bool is_root);

bool save_abstracted_workspace(Symbol * agent, const char *filename);

typedef enum acdl2cdl_status_t {
    ACDL2CDL_STATUS_FAILURE,
    ACDL2CDL_STATUS_SUCCESS,
    ACDL2CDL_STATUS_EMPTYMISSION
};

char *acdl2cdl(
    const char *acdlCode,
    const string defaultRobotName,
    int *status);

#endif


/**********************************************************************
 * $Log: write_cdl.h,v $
 * Revision 1.11  2003/04/06 09:10:03  endo
 * Updated for CBR Wizard Prototype II.
 *
 * Revision 1.10  1999/12/16 22:53:02  endo
 * *** empty log message ***
 *
 * Revision 1.1  1996/09/25 19:12:07  doug
 * Initial revision
 *
 * Revision 1.11  1995/11/21  23:10:08  doug
 * *** empty log message ***
 *
 * Revision 1.10  1995/06/29  17:28:03  jmc
 * Added header and RCS id and log strings.
 **********************************************************************/
